## ros-rviz 1.12.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11.2)
project(rviz)

if (POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif()
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()

find_package(Boost REQUIRED
  COMPONENTS
  filesystem
  program_options
  signals
  system
  thread
)

find_package(PkgConfig REQUIRED)

find_package(ASSIMP QUIET)
if (NOT ASSIMP_FOUND)
  pkg_check_modules(ASSIMP assimp)
endif()
if (ASSIMP_FOUND)
  if( NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.1150" )
    add_definitions(-DASSIMP_UNIFIED_HEADER_NAMES)
    message(STATUS "Assimp version has unified headers")
  else()
    message(STATUS "Assimp version does not have unified headers")
  endif()
  include_directories(${ASSIMP_INCLUDE_DIRS})
  link_directories(${ASSIMP_LIBRARY_DIRS})
else()
  message(STATUS "could not find assimp (perhaps available thorugh ROS package?), so assimping assimp v2")
  set(ASSIMP_LIBRARIES assimp)
  set(ASSIMP_LIBRARY_DIRS)
  set(ASSIMP_CXX_FLAGS)
  set(ASSIMP_CFLAGS_OTHER)
  set(ASSIMP_LINK_FLAGS)
  set(ASSIMP_INCLUDE_DIRS)
endif()

pkg_check_modules(OGRE_OV OGRE OGRE-Overlay)

# Old versions of OGRE (pre 1.9) included OGRE-Overlay in the main package
# (i.e. there was no OGRE-Overlay component).  So if the above
# pkg_check_modules() failed, try looking for just OGRE.
if(NOT OGRE_OV_FOUND)
  pkg_check_modules(OGRE_OV REQUIRED OGRE)
endif(NOT OGRE_OV_FOUND)

## Find OGRE Plugin path (not necessarily platform-independent, I guess)
execute_process(COMMAND
  ${PKG_CONFIG_EXECUTABLE} --variable=plugindir OGRE
  OUTPUT_VARIABLE OGRE_PLUGIN_PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE
  )
message(STATUS OGRE_PLUGIN_PATH=${OGRE_PLUGIN_PATH})

# find absolute path of ogre libraries.
# This is stored in the cache to save time on cmake re-run.
# Using absolute paths is necessary if pkg-config finds Ogre in a different
# location than the default.  This can happen when Ogre is built from source,
# or when 2 versions of Ogre are installed.  Using absolute paths ensures that
# components that link against Ogre (rviz and any packages depending on rviz)
# all find the same Ogre shared library.
if(NOT DEFINED OGRE_OV_LIBRARIES_ABS)
  unset(OGRE_OV_LIBRARIES_ABS_TMP)
  foreach(_lib ${OGRE_OV_LIBRARIES})
    set(OGRE_OV_LIB_TAG "OGRE_OV_RVIZ_LIB_${_lib}")

    find_library(${OGRE_OV_LIB_TAG}
            NAMES ${_lib}
            HINTS ${OGRE_OV_LIBRARY_DIRS}
            PATHS ${OGRE_OV_LIBRARY_DIRS}
    )

    set(OGRE_OV_LIBRARIES_ABS_TMP ${OGRE_OV_LIBRARIES_ABS_TMP} ${${OGRE_OV_LIB_TAG}})
  endforeach(_lib)

  set(OGRE_OV_LIBRARIES_ABS ${OGRE_OV_LIBRARIES_ABS_TMP}
        CACHE FILEPATH "Pathname of library ${_lib}")
endif(NOT DEFINED OGRE_OV_LIBRARIES_ABS)

if(APPLE)
  FIND_LIBRARY(Cocoa_LIBRARIES Cocoa)
  set(rviz_ADDITIONAL_LIBRARIES ${Cocoa_LIBRARIES})
endif()

find_package(OpenGL REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

option(UseQt5 "UseQt5" ON)
if (UseQt5)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5OpenGL REQUIRED)
else()
  find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui QtOpenGL)
endif()

find_package(catkin REQUIRED
  COMPONENTS
  angles
  cmake_modules
  geometry_msgs
  image_geometry
  image_transport
  interactive_markers
  laser_geometry
  map_msgs
  message_filters
  nav_msgs
  pluginlib
  python_qt_binding
  resource_retriever
  rosbag
  rosconsole
  roscpp
  roslib
  rospy
  sensor_msgs
  std_msgs
  std_srvs
  tf
  urdf
  visualization_msgs
)

if(${tf_VERSION} VERSION_LESS "1.11.3")
  add_definitions("-DRVIZ_USE_BOOST_SIGNAL_1")
endif()

find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})  # Not strictly necessary as Eigen is head only
  # Possibly map additional variables to the EIGEN3_ prefix.
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

catkin_python_setup()

if(NOT OGRE_OV_LIBRARIES_ABS)
  set(OGRE_OV_LIBRARIES_ABS ${OGRE_OV_LIBRARIES})
endif()

if(NOT UseQt5)
  include(${QT_USE_FILE})
endif()
add_definitions(-DQT_NO_KEYWORDS)

# Set the Qt version for use in the extras file.
if(UseQt5)
  set(rviz_QT_VERSION ${Qt5Widgets_VERSION})
else()
  set(rviz_QT_VERSION ${QTVERSION})
endif()

# This variable controls the target name of the default plugin library.
# It is used in the extras file (processed in caktin_package(...)) and the
# cmake code for the default plugin.
# There is a matching instance of this in the plugin_description.xml.
set(rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME rviz_default_plugin)

catkin_package(
  CFG_EXTRAS
    rviz-extras.cmake
  INCLUDE_DIRS
    src
    ${EIGEN3_INCLUDE_DIRS}
    ${OGRE_OV_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIR}
  LIBRARIES
    rviz
    ${OGRE_OV_LIBRARIES_ABS}
    ${rviz_ADDITIONAL_LIBRARIES}
    ${OPENGL_LIBRARIES}
  CATKIN_DEPENDS
    geometry_msgs
    image_geometry
    image_transport
    interactive_markers
    laser_geometry
    map_msgs
    message_filters
    nav_msgs
    pluginlib
    resource_retriever
    roscpp
    roslib
    sensor_msgs
    std_msgs
    tf
    urdf
    visualization_msgs
)

include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
  ${OGRE_OV_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${PYTHON_INCLUDE_PATH}
)
include_directories(src ${catkin_INCLUDE_DIRS})

#### If gtk ends up being the best way to get the correct window
#### position under X11, this is how to compile it in.
#
# find_package(GTK2)
# include_directories(${GTK2_INCLUDE_DIRS})
# include_directories(/usr/include/gdk-pixbuf-2.0)

add_subdirectory(src)

install(DIRECTORY ogre_media
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES default.rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== src/image_view/CMakeLists.txt ===

add_executable(rviz_image_view
  image_view.cpp
  main.cpp
  ${MOC_FILES}
)

target_link_libraries(rviz_image_view
  ${OGRE_OV_LIBRARIES_ABS}
  ${rviz_ADDITIONAL_LIBRARIES}
  ${PROJECT_NAME}
)

set_target_properties(rviz_image_view
                      PROPERTIES OUTPUT_NAME image_view
                      PREFIX "")

=== src/rviz/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(NEW_YAMLCPP yaml-cpp>=0.5)
if(NEW_YAMLCPP_FOUND)
  add_definitions(-DRVIZ_HAVE_YAMLCPP_05)
endif(NEW_YAMLCPP_FOUND)

add_subdirectory(default_plugin)

include_directories(.)

# Build the version number and other build-time constants into the
# source for access at run-time.
set(ENV_CONFIG_FILE ${CMAKE_CURRENT_BINARY_DIR}/env_config.cpp)
set(RVIZ_VERSION ${rviz_VERSION})
message("making version ${RVIZ_VERSION}.")
set(ROS_DISTRO $ENV{ROS_DISTRO})

configure_file(env_config.cpp.in ${ENV_CONFIG_FILE} @ONLY)

# We create one lib with the C++...

add_library( ${PROJECT_NAME}
  bit_allocator.cpp
  config.cpp
  display.cpp
  display.cpp
  display_context.h
  display_factory.cpp
  display_group.cpp
  displays_panel.cpp
  failed_display.cpp
  failed_panel.cpp
  failed_tool.cpp
  failed_view_controller.cpp
  frame_manager.cpp
  load_resource.cpp
  frame_position_tracking_view_controller.cpp
  geometry.cpp
  help_panel.cpp
  image/ros_image_texture.cpp
  image/image_display_base.cpp
  loading_dialog.cpp
  message_filter_display.h
  mesh_loader.cpp
  new_object_dialog.cpp
  add_display_dialog.cpp
  ogre_helpers/apply_visibility_bits.cpp
  ogre_helpers/arrow.cpp
  ogre_helpers/axes.cpp
  ogre_helpers/billboard_line.cpp
  ogre_helpers/camera_base.cpp
  ogre_helpers/grid.cpp
  ogre_helpers/initialization.cpp
  ogre_helpers/line.cpp
  ogre_helpers/movable_text.cpp
  ogre_helpers/object.cpp
  ogre_helpers/ogre_logging.cpp
  ogre_helpers/ogre_render_queue_clearer.cpp
  ogre_helpers/orthographic.cpp
  ogre_helpers/point_cloud.cpp
  ogre_helpers/qt_ogre_render_window.cpp
  ogre_helpers/render_system.cpp
  ogre_helpers/render_widget.cpp
  ogre_helpers/shape.cpp
  ogre_helpers/mesh_shape.cpp
  ogre_helpers/stl_loader.cpp
  panel.cpp
  panel_dock_widget.cpp
  panel_factory.cpp
  properties/bool_property.cpp
  properties/color_editor.cpp
  properties/color_property.cpp
  properties/combo_box.cpp
  properties/display_visibility_property.cpp
  properties/display_group_visibility_property.cpp
  properties/editable_combo_box.cpp
  properties/editable_enum_property.cpp
  properties/enum_property.cpp
  properties/float_edit.cpp
  properties/float_property.cpp
  properties/int_property.cpp
  properties/line_edit_with_button.cpp
  properties/parse_color.cpp
  properties/property.cpp
  properties/property_tree_delegate.cpp
  properties/property_tree_model.cpp
  properties/property_tree_widget.cpp
  properties/property_tree_with_help.cpp
  properties/quaternion_property.cpp
  properties/ros_topic_property.cpp
  properties/splitter_handle.cpp
  properties/status_list.cpp
  properties/status_property.cpp
  properties/string_property.cpp
  properties/tf_frame_property.cpp
  properties/vector_property.cpp
  render_panel.cpp
  robot/robot_link.cpp
  robot/robot_joint.cpp
  robot/robot.cpp
  robot/tf_link_updater.cpp
  scaled_image_widget.cpp
  screenshot_dialog.cpp
  selection_panel.cpp
  selection/selection_handler.cpp
  selection/selection_manager.cpp
  splash_screen.cpp
  time_panel.cpp
  tool.cpp
  tool_manager.cpp
  uniform_string_stream.cpp
  view_controller.cpp
  view_manager.cpp
  views_panel.cpp
  visualization_frame.cpp
  visualization_manager.cpp
  visualizer_app.cpp
  wait_for_master_dialog.cpp
  widget_geometry_change_detector.cpp
  tool_properties_panel.cpp
  yaml_config_reader.cpp
  yaml_config_writer.cpp

  ${ENV_CONFIG_FILE}
  ${MOC_FILES}
)

target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${OGRE_OV_LIBRARIES_ABS}
  ${OPENGL_LIBRARIES}
  ${rviz_ADDITIONAL_LIBRARIES}
  assimp
  yaml-cpp
)
if(UseQt5)
  target_link_libraries(${PROJECT_NAME} Qt5::Widgets)
else()
  target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES})
endif()


if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

########### The rviz executable ###########
add_executable(executable main.cpp)

target_link_libraries(executable ${PROJECT_NAME} ${OGRE_OV_LIBRARIES_ABS})
if(UseQt5)
  target_link_libraries(executable Qt5::Widgets)
else()
  target_link_libraries(executable ${QT_LIBRARIES})
endif()

set_target_properties(executable
                      PROPERTIES OUTPUT_NAME ${PROJECT_NAME})

install(TARGETS executable ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY ./
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

install(TARGETS executable
  DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== src/test/CMakeLists.txt ===
# rviz's automated tests
find_package(rostest REQUIRED)

# This is a test utility which publishes images of different types.
add_executable(send_images EXCLUDE_FROM_ALL send_images.cpp)
target_link_libraries(send_images ${catkin_LIBRARIES})
add_dependencies(tests send_images)

# This is a test utility which can publish different kinds of markers.
add_executable(marker_test EXCLUDE_FROM_ALL marker_test.cpp)
target_link_libraries(marker_test ${catkin_LIBRARIES})
add_dependencies(tests marker_test)

# This is a test utility which can publish different kinds of mesh markers.
add_executable(mesh_marker_test EXCLUDE_FROM_ALL mesh_marker_test.cpp)
target_link_libraries(mesh_marker_test ${catkin_LIBRARIES})
add_dependencies(tests mesh_marker_test)

# This is a GTest which tests the different types of primitive display properties.
catkin_add_gtest(property_test
  property_test.cpp
  mock_property_change_receiver.cpp
  ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
)
target_link_libraries(property_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(property_test Qt5::Widgets)
endif()

# TODO(wjwwood): Fix this test, it used to use a set of Mock classes, but
#                has since undergone a lot of changes and it no longer works.
# This is a GTest which tests the display system.
# qt4_wrap_cpp(MOC_MOCK_DISPLAY mock_display.h)
# add_rostest_gtest(display_test display_test.test
#   display_test.cpp
#   mock_context.cpp
#   mock_display.cpp
#   mock_display_factory.cpp
#   mock_property_change_receiver.cpp
#   ${MOC_MOCK_DISPLAY}
#   ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
# )
# target_link_libraries(display_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})

# This is a GTest which tests the uniform_string_stream.
catkin_add_gtest(uniform_string_stream_test
  uniform_string_stream_test.cpp
  ../rviz/uniform_string_stream.cpp
)

# This is an example node which serves an rviz logo as an interactive marker.
add_executable(rviz_logo_marker EXCLUDE_FROM_ALL rviz_logo_marker.cpp)
target_link_libraries(rviz_logo_marker ${catkin_LIBRARIES})
add_dependencies(tests rviz_logo_marker)

# This is an example node which publishes different kinds of point clouds.
add_executable(cloud_test EXCLUDE_FROM_ALL cloud_test.cpp)
target_link_libraries(cloud_test ${catkin_LIBRARIES})
add_dependencies(tests cloud_test)

# This is an example node which serves an interactive marker.
add_executable(interactive_marker_test interactive_marker_test.cpp)
target_link_libraries(interactive_marker_test ${catkin_LIBRARIES})
add_dependencies(tests interactive_marker_test)

# This is another example node that publishes images.
add_executable(image_test EXCLUDE_FROM_ALL image_test.cpp)
target_link_libraries(image_test ${catkin_LIBRARIES})
add_dependencies(tests image_test)

# This is a node that sends lots of point clouds.
add_executable(send_lots_of_points EXCLUDE_FROM_ALL send_lots_of_points_node.cpp)
target_link_libraries(send_lots_of_points ${catkin_LIBRARIES})
add_dependencies(tests send_lots_of_points)

# Yet another example which sends point clouds.
add_executable(send_point_cloud_2 EXCLUDE_FROM_ALL send_point_cloud_2.cpp)
target_link_libraries(send_point_cloud_2 ${catkin_LIBRARIES})
add_dependencies(tests send_point_cloud_2)

# This is a node which sends grid cells.
add_executable(send_grid_cells EXCLUDE_FROM_ALL send_grid_cells_node.cpp)
target_link_libraries(send_grid_cells ${catkin_LIBRARIES})
add_dependencies(tests send_grid_cells)

# This is a test program that uses the rviz panel interface.
add_executable(render_panel_test render_panel_test.cpp)
target_link_libraries(render_panel_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(render_panel_test Qt5::Widgets)
endif()
add_dependencies(tests render_panel_test)

# This is an executable which uses the rviz new display diaglog interface.
add_executable(new_display_dialog_test new_display_dialog_test.cpp)
target_link_libraries(new_display_dialog_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(new_display_dialog_test Qt5::Widgets)
endif()
add_dependencies(tests new_display_dialog_test)

# This is an executable which uses the rviz color editor test.
add_executable(color_editor_test color_editor_test.cpp)
target_link_libraries(color_editor_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(color_editor_test Qt5::Widgets)
endif()
add_dependencies(tests color_editor_test)

# This is a modified version of the property test.
catkin_add_gtest(property_with_ros_spinner_test
  property_test.cpp
  ros_spinner.cpp
  mock_property_change_receiver.cpp
  ${PROPERTY_TEST_MOC_FILES}
  ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
)
target_link_libraries(property_with_ros_spinner_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(property_with_ros_spinner_test Qt5::Widgets)
endif()
add_dependencies(tests property_with_ros_spinner_test)

# This is an executable that uses the line_edit_with_button property interface.
add_executable(line_edit_with_button_test line_edit_with_button_test.cpp)
target_link_libraries(line_edit_with_button_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(line_edit_with_button_test Qt5::Widgets)
endif()
add_dependencies(tests line_edit_with_button_test)

# This is an executable which tests the connect/disconnect behavior of signals and slots in Qt.
add_executable(connect_test connect_test.cpp ${MOC_FILES})
target_link_libraries(connect_test ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(connect_test Qt5::Widgets)
endif()
add_dependencies(tests connect_test)

# This is a GTest which tests the display configuration.
catkin_add_gtest(config_test config_test.cpp ../rviz/uniform_string_stream.cpp ../rviz/config.cpp)
if (UseQt5)
  target_link_libraries(config_test Qt5::Widgets)
endif()
target_link_libraries(config_test ${QT_LIBRARIES})

# This is an acceptance test executable which renders points.
add_executable(render_points_test
  render_points_test.cpp
  ../rviz/ogre_helpers/orbit_camera.cpp
  ${RENDER_POINTS_TEST_MOC_FILES}
)
target_link_libraries(render_points_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(render_points_test Qt5::Widgets)
endif()
add_dependencies(tests render_points_test)

# This is an example application which creates two ogre render windows.
add_executable(two_render_widgets two_render_widgets.cpp)
target_link_libraries(two_render_widgets rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
if (UseQt5)
  target_link_libraries(two_render_widgets Qt5::Widgets)
endif()
add_dependencies(tests two_render_widgets)

# This is a GTest which tests the STL loader
catkin_add_gtest(stl_loader_test stl_loader_test.cpp
  ../rviz/ogre_helpers/stl_loader.cpp)
target_link_libraries(stl_loader_test ${catkin_LIBRARIES} ${OGRE_OV_LIBRARIES_ABS})

=== src/rviz/default_plugin/CMakeLists.txt ===
include_directories(.)

set(SOURCE_FILES
  axes_display.cpp
  camera_display.cpp
  depth_cloud_display.cpp
  depth_cloud_mld.cpp
  effort_display.cpp
  effort_visual.cpp
  fluid_pressure_display.cpp
  grid_cells_display.cpp
  grid_display.cpp
  illuminance_display.cpp
  image_display.cpp
  interactive_marker_display.cpp
  interactive_markers/integer_action.cpp
  interactive_markers/interactive_marker_control.cpp
  interactive_markers/interactive_marker.cpp
  laser_scan_display.cpp
  map_display.cpp
  marker_array_display.cpp
  marker_display.cpp
  markers/arrow_marker.cpp
  markers/line_list_marker.cpp
  markers/line_strip_marker.cpp
  markers/marker_base.cpp
  markers/marker_selection_handler.cpp
  markers/mesh_resource_marker.cpp
  markers/points_marker.cpp
  markers/shape_marker.cpp
  markers/text_view_facing_marker.cpp
  markers/triangle_list_marker.cpp
  odometry_display.cpp
  path_display.cpp
  point_display.cpp
  point_visual.cpp
  point_cloud2_display.cpp
  point_cloud_common.cpp
  point_cloud_display.cpp
  point_cloud_transformer.h
  point_cloud_transformers.cpp
  polygon_display.cpp
  pose_array_display.cpp
  pose_display.cpp
  range_display.cpp
  relative_humidity_display.cpp
  robot_model_display.cpp
  temperature_display.cpp
  tf_display.cpp
  tools/focus_tool.cpp
  tools/measure_tool.cpp
  tools/move_tool.cpp
  tools/point_tool.cpp
  tools/pose_tool.cpp
  tools/goal_tool.cpp
  tools/initial_pose_tool.cpp
  tools/selection_tool.cpp
  tools/interaction_tool.cpp
  view_controllers/orbit_view_controller.cpp
  view_controllers/xy_orbit_view_controller.cpp
  view_controllers/third_person_follower_view_controller.cpp
  view_controllers/fixed_orientation_ortho_view_controller.cpp
  view_controllers/fps_view_controller.cpp
  wrench_display.cpp
  wrench_visual.cpp
  ${MOC_FILES}
)

add_library(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME} ${SOURCE_FILES})
target_link_libraries(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
  ${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${OGRE_OV_LIBRARIES_ABS}
  ${QT_LIBRARIES}
)

install(TARGETS ${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Generate to the devel space so the extras file can include it from the devel space.
file(GENERATE
  OUTPUT "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/default_plugin_location.cmake"
  CONTENT "set(rviz_DEFAULT_PLUGIN_FILE_NAME $<TARGET_FILE_NAME:${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}>)"
)
# Install from the devel space to the install space.
install(FILES "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/default_plugin_location.cmake"
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake
)

=== debian/changelog ===
ros-rviz (1.12.1+dfsg-2build1) yakkety; urgency=medium

  * Rebuild against new liburdfdom-dev.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Sep 2016 19:16:26 +0200

ros-rviz (1.12.1+dfsg-2) unstable; urgency=medium

  * Update my email address
  * Add patch for urdfdom-headers-dev 1.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Sep 2016 10:17:34 +0200

ros-rviz (1.12.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.12.1+dfsg
  * Rebase patches
  * Fix plugin name in install rule
  * Fix dependencies (Closes: #832837)
  * Update Soname (no rdepends)
  * Add patch to fix gcc-6 FTBFS (Closes: #831135)
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update control file to fix lintian warnings
  * Update lintian overrides

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jul 2016 11:29:23 +0200

ros-rviz (1.11.10+dfsg-2) unstable; urgency=medium

  * Fix location of default_plugin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 17:40:49 +0100

=== debian/control ===
Source: ros-rviz
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-program-options-dev, libboost-signals-dev, libboost-system-dev, libboost-thread-dev, libassimp-dev, libgl1-mesa-dev | libgl-dev, libqt5opengl5-dev, libangles-dev, ros-cmake-modules, libimage-geometry-dev, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libpython-dev, libeigen3-dev, libogre-1.9-dev, librostest-dev, liburdfdom-headers-dev, libyaml-cpp0.3-dev, liburdfdom-dev, python, dh-python, python-sip-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://wiki.ros.org/rviz
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rviz.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-rviz.git

Package: librviz-dev
Section: libdevel
Architecture: any
Depends: librviz1d (= ${binary:Version}), ${misc:Depends}, libangles-dev, ros-cmake-modules, libimage-geometry-dev, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev
Description: Development files for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the development files for the rviz library.

Package: librviz1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz library.

Package: rviz
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation
Description: 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz program.

Package: python-rviz
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for the 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the Python interface to the rviz library.

## ros-rviz 1.12.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,8 @@
   system
   thread
 )
+
+find_package(urdfdom_headers REQUIRED)
 
 find_package(PkgConfig REQUIRED)
 
@@ -96,19 +98,21 @@
 
 option(UseQt5 "UseQt5" ON)
 if (UseQt5)
-  find_package(Qt5Widgets REQUIRED)
-  find_package(Qt5Core REQUIRED)
-  find_package(Qt5OpenGL REQUIRED)
+  find_package(Qt5 REQUIRED COMPONENTS Core Widgets OpenGL)
+  # set variable names already used with Qt4
+  set(QT_LIBRARIES Qt5::Widgets)
+  set(QTVERSION ${Qt5Widgets_VERSION})
 else()
   find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui QtOpenGL)
-endif()
+  include(${QT_USE_FILE})
+endif()
+add_definitions(-DQT_NO_KEYWORDS)
 
 find_package(catkin REQUIRED
   COMPONENTS
   angles
   cmake_modules
   geometry_msgs
-  image_geometry
   image_transport
   interactive_markers
   laser_geometry
@@ -129,6 +133,7 @@
   tf
   urdf
   visualization_msgs
+  urdfdom_headers
 )
 
 if(${tf_VERSION} VERSION_LESS "1.11.3")
@@ -137,7 +142,7 @@
 
 find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)
 
-find_package(Eigen3)
+find_package(Eigen3 QUIET)
 if(NOT EIGEN3_FOUND)
   # Fallback to cmake_modules
   find_package(cmake_modules REQUIRED)
@@ -155,17 +160,8 @@
   set(OGRE_OV_LIBRARIES_ABS ${OGRE_OV_LIBRARIES})
 endif()
 
-if(NOT UseQt5)
-  include(${QT_USE_FILE})
-endif()
-add_definitions(-DQT_NO_KEYWORDS)
-
 # Set the Qt version for use in the extras file.
-if(UseQt5)
-  set(rviz_QT_VERSION ${Qt5Widgets_VERSION})
-else()
-  set(rviz_QT_VERSION ${QTVERSION})
-endif()
+set(rviz_QT_VERSION ${QTVERSION})
 
 # This variable controls the target name of the default plugin library.
 # It is used in the extras file (processed in caktin_package(...)) and the
@@ -188,7 +184,6 @@
     ${OPENGL_LIBRARIES}
   CATKIN_DEPENDS
     geometry_msgs
-    image_geometry
     image_transport
     interactive_markers
     laser_geometry
@@ -211,6 +206,7 @@
   ${OGRE_OV_INCLUDE_DIRS}
   ${OPENGL_INCLUDE_DIR}
   ${PYTHON_INCLUDE_PATH}
+  ${urdfdom_headers_INCLUDE_DIRS}
 )
 include_directories(src ${catkin_INCLUDE_DIRS})

=== src/rviz/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,10 @@
 if(NEW_YAMLCPP_FOUND)
   add_definitions(-DRVIZ_HAVE_YAMLCPP_05)
 endif(NEW_YAMLCPP_FOUND)
+
+if(UNIX AND NOT APPLE)
+  find_package(X11 REQUIRED)
+endif()
 
 add_subdirectory(default_plugin)
 
@@ -19,7 +23,7 @@
 
 # We create one lib with the C++...
 
-add_library( ${PROJECT_NAME}
+add_library(${PROJECT_NAME}
   bit_allocator.cpp
   config.cpp
   display.cpp
@@ -122,23 +126,23 @@
   yaml_config_writer.cpp
 
   ${ENV_CONFIG_FILE}
-  ${MOC_FILES}
 )
+
+if(NOT WIN32)
+  set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++11")
+endif()
 
 target_link_libraries(${PROJECT_NAME}
   ${Boost_LIBRARIES}
   ${catkin_LIBRARIES}
+  ${QT_LIBRARIES}
   ${OGRE_OV_LIBRARIES_ABS}
   ${OPENGL_LIBRARIES}
   ${rviz_ADDITIONAL_LIBRARIES}
+  ${X11_X11_LIB}
   assimp
   yaml-cpp
 )
-if(UseQt5)
-  target_link_libraries(${PROJECT_NAME} Qt5::Widgets)
-else()
-  target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES})
-endif()
 
 
 if(APPLE)
@@ -148,12 +152,11 @@
 ########### The rviz executable ###########
 add_executable(executable main.cpp)
 
-target_link_libraries(executable ${PROJECT_NAME} ${OGRE_OV_LIBRARIES_ABS})
-if(UseQt5)
-  target_link_libraries(executable Qt5::Widgets)
-else()
-  target_link_libraries(executable ${QT_LIBRARIES})
+if(NOT WIN32)
+  set_target_properties(executable PROPERTIES COMPILE_FLAGS "-std=c++11")
 endif()
+
+target_link_libraries(executable ${PROJECT_NAME} ${QT_LIBRARIES} ${OGRE_OV_LIBRARIES_ABS})
 
 set_target_properties(executable
                       PROPERTIES OUTPUT_NAME ${PROJECT_NAME})

=== src/test/CMakeLists.txt ===
# rviz's automated tests
find_package(rostest REQUIRED)

# This is a test utility which publishes images of different types.
add_executable(send_images EXCLUDE_FROM_ALL send_images.cpp)
if(NOT WIN32)
  set_target_properties(send_images PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(send_images ${catkin_LIBRARIES})
add_dependencies(tests send_images)

# This is a test utility which can publish different kinds of markers.
add_executable(marker_test EXCLUDE_FROM_ALL marker_test.cpp)
if(NOT WIN32)
  set_target_properties(marker_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(marker_test ${catkin_LIBRARIES})
add_dependencies(tests marker_test)

# This is a test utility which can publish different kinds of mesh markers.
add_executable(mesh_marker_test EXCLUDE_FROM_ALL mesh_marker_test.cpp)
if(NOT WIN32)
  set_target_properties(mesh_marker_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(mesh_marker_test ${catkin_LIBRARIES})
add_dependencies(tests mesh_marker_test)

# This is a GTest which tests the different types of primitive display properties.
catkin_add_gtest(property_test
  property_test.cpp
  mock_property_change_receiver.cpp
  ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
)
target_link_libraries(property_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})

# TODO(wjwwood): Fix this test, it used to use a set of Mock classes, but
#                has since undergone a lot of changes and it no longer works.
# This is a GTest which tests the display system.
# qt4_wrap_cpp(MOC_MOCK_DISPLAY mock_display.h)
# add_rostest_gtest(display_test display_test.test
#   display_test.cpp
#   mock_context.cpp
#   mock_display.cpp
#   mock_display_factory.cpp
#   mock_property_change_receiver.cpp
#   ${MOC_MOCK_DISPLAY}
#   ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
# )
# target_link_libraries(display_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})

# This is a GTest which tests the uniform_string_stream.
catkin_add_gtest(uniform_string_stream_test
  uniform_string_stream_test.cpp
  ../rviz/uniform_string_stream.cpp
)

# This is an example node which serves an rviz logo as an interactive marker.
add_executable(rviz_logo_marker EXCLUDE_FROM_ALL rviz_logo_marker.cpp)
if(NOT WIN32)
  set_target_properties(rviz_logo_marker PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(rviz_logo_marker ${catkin_LIBRARIES})
add_dependencies(tests rviz_logo_marker)

# This is an example node which publishes different kinds of point clouds.
add_executable(cloud_test EXCLUDE_FROM_ALL cloud_test.cpp)
if(NOT WIN32)
  set_target_properties(cloud_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(cloud_test ${catkin_LIBRARIES})
add_dependencies(tests cloud_test)

# This is an example node which serves an interactive marker.
add_executable(interactive_marker_test interactive_marker_test.cpp)
if(NOT WIN32)
  set_target_properties(interactive_marker_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(interactive_marker_test ${catkin_LIBRARIES})
add_dependencies(tests interactive_marker_test)

# This is another example node that publishes images.
add_executable(image_test EXCLUDE_FROM_ALL image_test.cpp)
if(NOT WIN32)
  set_target_properties(image_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(image_test ${catkin_LIBRARIES})
add_dependencies(tests image_test)

# This is a node that sends lots of point clouds.
add_executable(send_lots_of_points EXCLUDE_FROM_ALL send_lots_of_points_node.cpp)
if(NOT WIN32)
  set_target_properties(send_lots_of_points PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(send_lots_of_points ${catkin_LIBRARIES})
add_dependencies(tests send_lots_of_points)

# Yet another example which sends point clouds.
add_executable(send_point_cloud_2 EXCLUDE_FROM_ALL send_point_cloud_2.cpp)
if(NOT WIN32)
  set_target_properties(send_point_cloud_2 PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(send_point_cloud_2 ${catkin_LIBRARIES})
add_dependencies(tests send_point_cloud_2)

# This is a node which sends grid cells.
add_executable(send_grid_cells EXCLUDE_FROM_ALL send_grid_cells_node.cpp)
if(NOT WIN32)
  set_target_properties(send_grid_cells PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(send_grid_cells ${catkin_LIBRARIES})
add_dependencies(tests send_grid_cells)

# This is a test program that uses the rviz panel interface.
add_executable(render_panel_test render_panel_test.cpp)
if(NOT WIN32)
  set_target_properties(render_panel_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(render_panel_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests render_panel_test)

# This is an executable which uses the rviz new display diaglog interface.
add_executable(new_display_dialog_test new_display_dialog_test.cpp)
if(NOT WIN32)
  set_target_properties(new_display_dialog_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(new_display_dialog_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests new_display_dialog_test)

# This is an executable which uses the rviz color editor test.
add_executable(color_editor_test color_editor_test.cpp)
if(NOT WIN32)
  set_target_properties(color_editor_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(color_editor_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests color_editor_test)

# This is a modified version of the property test.
catkin_add_gtest(property_with_ros_spinner_test
  property_test.cpp
  ros_spinner.cpp
  mock_property_change_receiver.cpp
  ${MOC_MOCK_PROPERTY_CHANGE_RECEIVER}
)
target_link_libraries(property_with_ros_spinner_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests property_with_ros_spinner_test)

# This is an executable that uses the line_edit_with_button property interface.
add_executable(line_edit_with_button_test line_edit_with_button_test.cpp)
if(NOT WIN32)
  set_target_properties(line_edit_with_button_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(line_edit_with_button_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests line_edit_with_button_test)

# This is an executable which tests the connect/disconnect behavior of signals and slots in Qt.
add_executable(connect_test connect_test.cpp)
if(NOT WIN32)
  set_target_properties(connect_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(connect_test ${QT_LIBRARIES})
add_dependencies(tests connect_test)

# This is a GTest which tests the display configuration.
catkin_add_gtest(config_test config_test.cpp ../rviz/uniform_string_stream.cpp ../rviz/config.cpp)
target_link_libraries(config_test ${QT_LIBRARIES})

# This is an acceptance test executable which renders points.
add_executable(render_points_test
  render_points_test.cpp
  ../rviz/ogre_helpers/orbit_camera.cpp
)
if(NOT WIN32)
  set_target_properties(render_points_test PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(render_points_test rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests render_points_test)

# This is an example application which creates two ogre render windows.
add_executable(two_render_widgets two_render_widgets.cpp)
if(NOT WIN32)
  set_target_properties(two_render_widgets PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(two_render_widgets rviz ${catkin_LIBRARIES} ${QT_LIBRARIES})
add_dependencies(tests two_render_widgets)

# This is a GTest which tests the STL loader
catkin_add_gtest(stl_loader_test stl_loader_test.cpp
  ../rviz/ogre_helpers/stl_loader.cpp)
target_link_libraries(stl_loader_test ${catkin_LIBRARIES} ${OGRE_OV_LIBRARIES_ABS})

=== src/python_bindings/shiboken/CMakeLists.txt ===
# Build file for Python bindings via shiboken and pyside.

set(rviz_shiboken_QT_COMPONENTS
  QtCore
  QtGui
)

find_package(python_qt_binding REQUIRED)
include(${python_qt_binding_EXTRAS_DIR}/shiboken_helper.cmake)

if(shiboken_helper_FOUND)
  set(_configure_shiboken TRUE)
  if(Shiboken_VERSION VERSION_GREATER "1.1.1")
    if(APPLE AND Shiboken_VERSION VERSION_GREATER "1.2.1")
      # This appears to no longer be a problem at least with Shiboken 1.2.2 on OS X and Boost 1.57.
      set(_configure_shiboken TRUE)
    else()
      # shiboken 1.1.2 and higher will segfault until https://bugreports.qt-project.org/browse/PYSIDE-218 is fixed
      set(_configure_shiboken FALSE)
      message(WARNING "Shiboken version ${Shiboken_VERSION} would segfault when trying to process rviz (see https://bugreports.qt-project.org/browse/PYSIDE-218). Therefore shiboken bindings are being skipped.")
    endif()
  endif()
  if(_configure_shiboken)
    list(APPEND rviz_BINDINGS "shiboken")
    set(rviz_BINDINGS "${rviz_BINDINGS}" PARENT_SCOPE)

    # To add a new rviz class to the bindings, add it:
    # - in rviz_shiboken_SRCS below, like rviz_myclass_wrapper.cpp
    # - in rviz_HDRS below, like ../rviz/my_class.h
    # - in global.h, like #include <rviz/my_class.h>
    # - in typesystem.xml, like <object-type name="rviz::MyClass"/>

    set(rviz_shiboken_SRCS
      librviz_shiboken/librviz_shiboken_module_wrapper.cpp
      librviz_shiboken/rviz_visualizationframe_wrapper.cpp
      librviz_shiboken/rviz_visualizationmanager_wrapper.cpp
      librviz_shiboken/rviz_display_wrapper.cpp
      librviz_shiboken/rviz_displaygroup_wrapper.cpp
      librviz_shiboken/rviz_ogrelogging_wrapper.cpp
      librviz_shiboken/rviz_property_wrapper.cpp
      librviz_shiboken/rviz_boolproperty_wrapper.cpp
      librviz_shiboken/rviz_paneldockwidget_wrapper.cpp
      librviz_shiboken/rviz_viewmanager_wrapper.cpp
      librviz_shiboken/rviz_viewcontroller_wrapper.cpp
      librviz_shiboken/rviz_tool_wrapper.cpp
      librviz_shiboken/rviz_toolmanager_wrapper.cpp
      librviz_shiboken/rviz_config_wrapper.cpp
      librviz_shiboken/rviz_config_mapiterator_wrapper.cpp
      librviz_shiboken/rviz_yamlconfigreader_wrapper.cpp
      librviz_shiboken/rviz_yamlconfigwriter_wrapper.cpp
      librviz_shiboken/rviz_wrapper.cpp
    )

    set(rviz_shiboken_INCLUDE_DIR ${PROJECT_SOURCE_DIR}/src)

    set(rviz_HDRS
      ${rviz_shiboken_INCLUDE_DIR}/rviz/visualization_frame.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/visualization_manager.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/view_manager.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/view_controller.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/display.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/display_group.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/properties/property.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/properties/bool_property.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/panel_dock_widget.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/tool.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/tool_manager.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/ogre_helpers/ogre_logging.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/config.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/yaml_config_reader.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/yaml_config_writer.h
    )

    shiboken_generator(
      librviz
      global.h
      typesystem.xml
      ${PROJECT_SOURCE_DIR}/src/python_bindings/shiboken
      "${rviz_shiboken_SRCS}"
      "${rviz_HDRS}"
      "${rviz_shiboken_INCLUDE_DIR}"
      "${CMAKE_CURRENT_BINARY_DIR}"
    )

    include_directories(rviz_shiboken
      ${rviz_shiboken_INCLUDE_DIR}/rviz
      ${rviz_shiboken_INCLUDE_DIR}/rviz/properties
      ${rviz_shiboken_INCLUDE_DIR}/rviz/ogre_helpers
    )
    shiboken_include_directories(rviz_shiboken "${rviz_shiboken_QT_COMPONENTS}")
    add_library(rviz_shiboken ${rviz_shiboken_SRCS})
    if(NOT WIN32)
      set_target_properties(rviz_shiboken PROPERTIES COMPILE_FLAGS "-std=c++11")
    endif()
    set_target_properties(rviz_shiboken PROPERTIES
      LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${PYTHON_INSTALL_DIR}/rviz)
    target_link_libraries(rviz_shiboken ${PROJECT_NAME})
    shiboken_target_link_libraries(rviz_shiboken "${rviz_shiboken_QT_COMPONENTS}")

    install(TARGETS rviz_shiboken
      LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})
  endif()
endif()

=== src/rviz/default_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -63,10 +63,13 @@
   view_controllers/fps_view_controller.cpp
   wrench_display.cpp
   wrench_visual.cpp
-  ${MOC_FILES}
 )
 
 add_library(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME} ${SOURCE_FILES})
+if(NOT WIN32)
+  set_target_properties(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
+    PROPERTIES COMPILE_FLAGS "-std=c++11")
+endif()
 target_link_libraries(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
   ${PROJECT_NAME}
   ${Boost_LIBRARIES}

=== debian/changelog ===
ros-rviz (1.12.4+dfsg-3) unstable; urgency=medium

  * Update policy and debhelper versions
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Update policy and debhelper versions
  * Add missing dependency and file (Closes: #896200)
  * Add patch to remove rpath
  * Strip rpath of python module
  * Remove old Lines-overrides

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 23:00:44 +0200

ros-rviz (1.12.4+dfsg-2) unstable; urgency=medium

  * Add dependency for SVG icons

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Dec 2016 10:43:21 +0100

ros-rviz (1.12.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.12.2+dfsg
  * Soname bump due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 05 Nov 2016 23:16:12 +0100

ros-rviz (1.12.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.12.2+dfsg
  * Update dependencies
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Oct 2016 10:06:56 +0200

ros-rviz (1.12.1+dfsg-3) unstable; urgency=medium

  * Add missing dependency (Closes: #840794)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Oct 2016 05:42:06 +0200

=== debian/control ===
Source: ros-rviz
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libboost-filesystem-dev, libboost-program-options-dev, libboost-signals-dev, libboost-system-dev, libboost-thread-dev, libassimp-dev, libgl1-mesa-dev | libgl-dev, libqt5opengl5-dev, libangles-dev, ros-cmake-modules, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libpython-dev, libeigen3-dev, libogre-1.9-dev, librostest-dev, liburdfdom-headers-dev, libyaml-cpp0.3-dev, liburdfdom-dev, python, dh-python, python-sip-dev, libx11-dev, chrpath
Standards-Version: 4.1.4
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rviz
Vcs-Git: https://salsa.debian.org/science-team/ros-rviz.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rviz

Package: librviz-dev
Section: libdevel
Architecture: any
Depends: librviz2d (= ${binary:Version}), ${misc:Depends}, libangles-dev, ros-cmake-modules, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libogre-1.9-dev
Description: Development files for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the development files for the rviz library.

Package: librviz2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz library.

Package: rviz
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation, libqt5svg5
Description: 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz program.

Package: python-rviz
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-qt-binding
Description: Python bindings for the 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the Python interface to the rviz library.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python2 --buildsystem=cmake

# test suite is broken atm.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/tmp/usr/lib/python2*/*/rviz/*.so

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rviz-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/ros-visualization/rviz/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
